/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.kodcu.hakdogan;

/**
 *
 * @author usta
 * 
 * WebTest class is a test class that connects to Selenium RC server, and
 * simulates user interactions.
 * 
 * Before running Selenium Test, application server must start, and artifacts
 * must be deployed to it.
 * 
 */
import java.net.URL;
import java.util.concurrent.TimeUnit;
import org.junit.After;
import static org.junit.Assert.fail;
import org.junit.Before;
import org.junit.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.NoSuchElementException;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.remote.DesiredCapabilities;
import org.openqa.selenium.remote.RemoteWebDriver;

public class WebTest {

    private WebDriver driver;
    private String baseUrl;
    private StringBuffer verificationErrors = new StringBuffer();
    @Before
    public void setUp() throws Exception {
       DesiredCapabilities capability = DesiredCapabilities.firefox();
      
        driver = new RemoteWebDriver(new URL("http://localhost:4444/wd/hub"), capability);
        baseUrl = "http://localhost:8098";
        driver.manage().timeouts().implicitlyWait(60, TimeUnit.SECONDS);
 
    }

    @Test
    public void testWeb() throws Exception {

        driver.get(baseUrl + "/index.xhtml");
        driver.findElement(By.id("j_idt10:j_idt13")).clear();
        driver.findElement(By.id("j_idt10:j_idt13")).sendKeys("JSF");
        Thread.sleep(1500);
        driver.findElement(By.id("j_idt10:j_idt15")).clear();
        driver.findElement(By.id("j_idt10:j_idt15")).sendKeys("JSF Yaşam Döngüsü");
        Thread.sleep(1500);
        driver.findElement(By.id("j_idt10:j_idt17")).clear();
        driver.findElement(By.id("j_idt10:j_idt17")).sendKeys("Hüseyin Akdoğan");
        Thread.sleep(1500);
        driver.findElement(By.id("j_idt10:j_idt22")).click();
        Thread.sleep(3500);
        
    }

    @After
    public void tearDown() throws Exception {
        driver.quit();
        
        String verificationErrorString = verificationErrors.toString();
        if (!"".equals(verificationErrorString)) {
            fail(verificationErrorString);
        }
    }

    private boolean isElementPresent(By by) {
        try {
            driver.findElement(by);
            return true;
        } catch (NoSuchElementException e) {
            return false;
        }
    }
}
